<?php
namespace App\Factory;

use Doctrine\DBAL\Connection;

class Main {
    private $connection;

    public function __construct(Connection $connection) {
        $this->connection = $connection;
    }

    public function main() {
        $sql = "SELECT *
                  FROM COMANDAVEN
                 WHERE CDFILIAL = ?
                 FETCH FIRST 5 ROWS ONLY
        ";

        $params = [
            '0005'
        ];

        return $this->connection->fetchAllAssociative($sql, $params);
    }
}