import { ZdHighlight } from '@zeedhi/zd-highlight-vue';
import Vue from 'vue';
import App from './App.vue';
import router from './router';
import { vuetify } from './plugins';
import './components';
import 'roboto-fontface/css/roboto/roboto-fontface.css';
import './styles/style.scss';
import './helpers/request';

Vue.component('ZdHighlight', ZdHighlight);
Vue.config.productionTip = false;

new Vue({
  router,
  vuetify,
  render: (h: any) => h(App),
}).$mount('#app');
